### Virtual Method

# Pango FontFace list_sizes

since: 1.4

#### Declaration [src]

    void
    list_sizes (
      PangoFontFace* face,
      int** sizes,
      int* n_sizes
    )

#### Description [src]

List the available sizes for a font.

This is only applicable to bitmap fonts. For scalable fonts, stores `NULL` at the location pointed to by `sizes` and 0 at the location pointed to by `n_sizes`. The sizes returned are in Pango units and are sorted in ascending order.

Available since: 1.4

#### Parameters

`sizes`

  Type: An array of `int*`

  location to store a pointer to an array of int. This array should be freed with g_free().

  The argument will be set by the function.
  The argument can be set to `NULL` by the virtual function.
  The argument can be `NULL`.
  The length of the array is specified in the `n_sizes` argument.
  The caller of the function takes ownership of the data, and is responsible for freeing it.

`n_sizes`

  Type: `int*`

  Location to store the number of elements in `sizes`.

  The argument will be set by the function.